%define upstream_name File-ShareDir-ProjectDistDir
%define upstream_version 1.000009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple set-and-forget using of a '/share' directory in your projects root
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(FindBin)
BuildRequires: perl(List::Util)
BuildRequires: perl(Path::FindDev)
BuildRequires: perl(Path::IsDev)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Simple set-and-forget using of a '/share' directory in your projects root.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.9-3.mga8
+ Revision: 1504513
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.9-2.mga7
+ Revision: 1283745
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 sander85 <sander85> 1.0.9-1.mga7
+ Revision: 1125063
- update to 1.000009

* Sun Jun 19 2016 pterjan <pterjan> 1.0.8-3.mga6
+ Revision: 1027575
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.0.8-2.mga6
+ Revision: 968570
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 1.0.8-1.mga6
+ Revision: 853635
- update to 1.000008

* Sat Jun 27 2015 sander85 <sander85> 1.0.7-1.mga6
+ Revision: 845901
- update to 1.000007

* Sun Oct 19 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 790031
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 745018
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-2.mga5
+ Revision: 684766
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 1.0.4-1.mga5
+ Revision: 665464
- update to 1.000004

* Sat Aug 16 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 664328
- update to 1.000003

* Sat Jun 14 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 636175
- update to 1.000002

* Fri Mar 14 2014 jquelin <jquelin> 1.0.1-1.mga5
+ Revision: 603716
- update to 1.000001

* Mon Mar 03 2014 jquelin <jquelin> 1.0.0-1.mga5
+ Revision: 598701
- update to 1.000000

* Mon Oct 21 2013 umeabot <umeabot> 0.5.2-2.mga4
+ Revision: 537179
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.5.2-1.mga4
+ Revision: 486473
- update to 0.5.2

* Thu Sep 19 2013 guillomovitch <guillomovitch> 0.5.1-1.mga4
+ Revision: 481526
- new version 0.5.1

* Sun Sep 15 2013 sander85 <sander85> 0.4.4-1.mga4
+ Revision: 479841
- imported package perl-File-ShareDir-ProjectDistDir

